import { Plugin } from 'vite';

interface Options {
    enforce?: Plugin['enforce'];
    apply?: Plugin['apply'];
    /**
     * support html element tags
     * @default false
     */
    enableElementTag?: boolean;
    /**
     * support universal selector '*'
     * @default false
     */
    enableUniversal?: boolean;
}
declare function VitePluginBasicCssSelector(basic: string, options?: Options): Plugin;

export { Options, VitePluginBasicCssSelector as default };
